<?php

namespace Litepie\Services\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Trans\Traits\Translatable;

class Service extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, PresentableTrait;

    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'litepie.services.service.model';


    /**
     * The serviceCategory that belong to the service.
     */
    public function serviceCategory(){
        return $this->belongsTo('Services\Service\Models\Service_category');
    }


    /**
     * The serviceReview that belong to the service.
     */
    public function serviceReview(){
        return $this->hasMany('Services\Service\Models\Service_review');
    }
}
