<?php

namespace Litepie\Services\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Service policy
        'Litepie\Services\Models\Service' => \Litepie\Services\Policies\ServicePolicy::class,
// Bind ServiceCategory policy
        'Litepie\Services\Models\ServiceCategory' => \Litepie\Services\Policies\ServiceCategoryPolicy::class,
// Bind ServiceReview policy
        'Litepie\Services\Models\ServiceReview' => \Litepie\Services\Policies\ServiceReviewPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
