<?php

namespace Litepie\Services\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServiceCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Services\Models\ServiceCategory $service_category)
    {
        return [
            'id'                => $service_category->getRouteKey(),
            'key'               => [
                'public'    => $service_category->getPublicKey(),
                'route'     => $service_category->getRouteKey(),
            ], 
            'name'              => $service_category->name,
            'slug'              => $service_category->slug,
            'user_id'           => $service_category->user_id,
            'deleted_at'        => $service_category->deleted_at,
            'url'               => [
                'public'    => trans_url('services/'.$service_category->getPublicKey()),
                'user'      => guard_url('services/service_category/'.$service_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$service_category->status),
            'created_at'        => format_date($service_category->created_at),
            'updated_at'        => format_date($service_category->updated_at),
        ];
    }
}