<?php

namespace Litepie\Services\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServiceReviewTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Services\Models\ServiceReview $service_review)
    {
        return [
            'id'                => $service_review->getRouteKey(),
            'key'               => [
                'public'    => $service_review->getPublicKey(),
                'route'     => $service_review->getRouteKey(),
            ], 
            'service_id'        => $service_review->service_id,
            'rating'            => $service_review->rating,
            'review'            => $service_review->review,
            'user_id'           => $service_review->user_id,
            'user_type'         => $service_review->user_type,
            'deleted_at'        => $service_review->deleted_at,
            'url'               => [
                'public'    => trans_url('services/'.$service_review->getPublicKey()),
                'user'      => guard_url('services/service_review/'.$service_review->getRouteKey()),
            ], 
            'status'            => trans('app.'.$service_review->status),
            'created_at'        => format_date($service_review->created_at),
            'updated_at'        => format_date($service_review->updated_at),
        ];
    }
}