<?php

namespace Litepie\Services\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServiceTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Services\Models\Service $service)
    {
        return [
            'id'                => $service->getRouteKey(),
            'key'               => [
                'public'    => $service->getPublicKey(),
                'route'     => $service->getRouteKey(),
            ], 
            'category_id'       => $service->category_id,
            'name'              => $service->name,
            'company'           => $service->company,
            'address'           => $service->address,
            'country_id'        => $service->country_id,
            'city_id'           => $service->city_id,
            'phone'             => $service->phone,
            'images'            => $service->images,
            'description'       => $service->description,
            'rating'            => $service->rating,
            'contact'           => $service->contact,
            'timing'            => $service->timing,
            'slug'              => $service->slug,
            'user_id'           => $service->user_id,
            'user_type'         => $service->user_type,
            'deleted_at'        => $service->deleted_at,
            'url'               => [
                'public'    => trans_url('services/'.$service->getPublicKey()),
                'user'      => guard_url('services/service/'.$service->getRouteKey()),
            ], 
            'status'            => trans('app.'.$service->status),
            'created_at'        => format_date($service->created_at),
            'updated_at'        => format_date($service->updated_at),
        ];
    }
}